import javax.swing.JFrame;
import java.awt.Color;

public class Aquarium extends JFrame {
    
    // instance variable
    private AquariumPanel panel;
    
    // constructor
    public Aquarium() {
        this.panel = new AquariumPanel();
        this.add(this.panel);
        this.setSize(700, 500);
        this.setTitle("The Javaquarium");
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setVisible(true);
    }
    
    // adds a new MovingImage to the AquariumPanel
    public void addCreature(MovingImage newCreature) {
        this.panel.add(newCreature);
    }
    
    // main program
    public static void main(String[] args) {
        Aquarium aquarium = new Aquarium();
        aquarium.addCreature(new BallFish(Color.BLUE));
    }
}
