import javax.swing.*;       // JPanel, Timer
import java.awt.*;          // Graphics, Graphics2D, Color
import java.awt.event.*;    // ActionListener, ActionEvent
import java.util.ArrayList;

public class AquariumPanel extends JPanel {
    
    // instance variables
    private ArrayList<MovingImage> allCreatures;
    
    // inner listener class
    private class AquariumListener implements ActionListener {
        public void actionPerformed(ActionEvent event) {
            System.out.println("tick!");
        }
    }

    // constructor
    public AquariumPanel() {
        this.setBackground(new Color(173, 216, 230)); // the water
        this.allCreatures = new ArrayList<MovingImage>();
    }
    
    // adds a new creature to the ArrayList and randomizes its location
    public void add(MovingImage newCreature) {
        this.allCreatures.add(newCreature);
        newCreature.randomize(getWidth(), getHeight());
    }

    // draws all of the images in the ArrayList
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D pen = (Graphics2D) g;
    }
}
