import javax.swing.*;     // JPanel
import java.awt.*;        // Graphics2D, Color
import java.awt.geom.*;   // Ellipse2D

public class BallFish implements MovingImage {
    
    // instance variables
    private int x, y;     // center point of ball
    private int radius;   // radius of ball
    private Color color;
    
    // constructor
    public BallFish(Color color) {
        this.x = 50;
        this.y = 50;
        this.radius = 50;
        this.color = color;
    }
    
    public void draw(Graphics2D pen) {
        int x1 = this.x - this.radius;
        int y1 = this.y - this.radius;
        int diameter = this.radius * 2;
        Ellipse2D.Double ball = new Ellipse2D.Double(x1, y1, diameter, diameter);
        pen.setColor(this.color);
        pen.fill(ball);
    }
    
    public void update(int width, int height) {
    }
    
    public void randomize(int width, int height) {
    }

}
