import java.awt.Graphics2D;

public interface MovingImage {
    
    // draws image using the given Graphics2D context
    public void draw(Graphics2D pen);
    
    // updates image location and speed based on window width and height
    public void update(int width, int height);
    
    // randomizes image location and speed based on window width and height
    public void randomize(int width, int height);

}
